ie8 layui不兼容吗

layui是兼容ie8的,但是不支持IE6/7;准确来说layui兼容人类正在使用的全部浏览器(IE6/7除外),可作为PC端后台系统与前台界面的速成开发方案。

本教程操作环境:Windows7系统、layui2.5.6版,Dell G3电脑。

推荐:《layUI教程》

layui(谐音:类UI) 是一款采用自身模块规范编写的前端 UI 框架,遵循原生 HTML/CSS/JS 的书写与组织形式,门槛极低,拿来即用。其外在极简,却又不失饱满的内在,体积轻盈,组件丰盈,从核心代码到 API 的每一处细节都经过精心雕琢,非常适合界面的快速开发。layui 首个版本发布于2016年金秋,她区别于那些基于 MVVM 底层的 UI 框架,却并非逆道而行,而是信奉返璞归真之道。

准确地说,她更多是为服务端程序员量身定做,你无需涉足各种前端工具的复杂配置,只需面对浏览器本身,让一切你所需要的元素与交互,从这里信手拈来。

layui支不支持ie?是否兼容ie8?

layui支持除了IE6/7的其他ie浏览器,是兼容ie8的。

准确来说layui兼容人类正在使用的全部浏览器(IE6/7除外),可作为 PC 端后台系统与前台界面的速成开发方案。

layui兼容ie8中出现的问题

1、检查jquery版本

假如项目中有用到jquery,则首先检查jquery版本是否在2.0以上.2.0以上版本的jquery不支持ie8.

2、出现对象不支持此属性或方法

fb5f3695fefb118de5d5067aeb9cc37.png

假如出现此问题,可能是因为动态赋值<select>的时候,没有加<option>的原因

ada6524ce4aef75a708f16645c35fe1.png

加上<option>以后,问题解决.

5cf541da530f1a98735accec0fc478e.png

以上就是ie8 layui不兼容吗的详细内容,更多请关注web前端教程网